description: >
    Customer requested system power mode.

properties:
    - name: PowerMode
      type: enum[self.PowerMode]
      default: Static
      description: >
          This property shall contain the computer system power mode setting.
          This defines the processor speed based on the priority of power
          consumption and performance.

    - name: SafeMode
      type: boolean
      flags:
          - readonly
      default: false
      description: >
          This property shall indicate whether the System is in Safe Mode. When
          this is true, the system power mode is not being used in the system.

    - name: AllowedPowerModes
      type: set[enum[self.PowerMode]]
      flags:
          - const
      description: >
          A const property describing all the allowed power modes. Some systems
          may not support all modes, so this property can be filled in with only
          the supported modes. If empty, then any of the PowerMode values can be
          set.

enumerations:
    - name: PowerMode
      description: >
          Possible Power Mode settings
      values:
          - name: BalancedPerformance
            decription: >
                The system performs at the highest speeds while utilization is
                high and performs at reduced speeds when the utilization is low.
          - name: EfficiencyFavorPerformance
            decription: >
                The system performs at reduced speeds at all utilizations to
                save power while attempting to maintain performance. This mode
                differs from EfficiencyFavorPower in that more performance is
                retained but less power is saved.
          - name: EfficiencyFavorPower
            decription: >
                The system performs at reduced speeds at all utilizations to
                save power at the cost of performance. This mode differs from
                PowerSaving in that more performance is retained and less power
                is saved. This mode differs from EfficiencyFavorPerformance in
                that less performance is retained but more power is saved.
          - name: MaximumPerformance
            decription: >
                This value shall indicate the system performs at the highest
                speeds possible. This mode should be used when performance is
                the top priority.
          - name: OEM
            description: >
                This value shall indicate the system performs at an OEM-defined
                power mode.
          - name: PowerSaving
            description: >
                This value shall indicate the system performs at reduced speeds
                to save power. This mode should be used when power saving is the
                top priority.
          - name: Static
            description: >
                This value shall indicate the system performs at a static base
                speed.
